<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:user="http://www.dr-e-pfeifer.net/xlCookBook">
	<xsl:template match="/">
		<xsl:param name="Gesamt" select="count(//Artikel)" />
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="artikel.css" />
				<script language="JavaScript">
					function ToggleDisplay(obj)
						{   
						if(obj.style.display=='none')
							obj.style.display='block';
						else
							obj.style.display='none';
						}
				</script>
			</head>
			<body>
				<table border="0" width="600" cellspacing="0" cellpadding="0">
					<tr>
						<td>
							<h1>Auslaufartikel</h1>
							<hr color="#663300" />
							<p class="highlight">Anzahl: <xsl:value-of select="$Gesamt" /></p>
							<p class="normal">
								<a class="menu"><xsl:attribute name="href">
										JavaScript:ToggleDisplay(tb)
									</xsl:attribute>Details ein/aus</a>
							</p>
						</td>
					</tr>
				</table>
				<table id="tb" style="display:none" border="0" width="600" cellspacing="3" cellpadding="0">
					<tr>
						<td>
							<table align="center" border="1" bordercolor="gray" cellspacing="0" cellpadding="6">
								<xsl:for-each select="//Artikel">
									<tr>
										<td class="normal">
											<xsl:value-of select="Artikel-Nr" />
										</td>
										<td class="normal">
											<xsl:value-of select="Artikelname" />
										</td>
										<td class="normal">
											<xsl:value-of select="Liefereinheit" />
										</td>
									</tr>
								</xsl:for-each>
							</table>
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>