VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "SmartTagRecognizer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Dim garKeyWords() As String
Dim gintCountKeyWords As Integer

Implements ISmartTagRecognizer
Implements ISmartTagRecognizer2

Private Property Get ISmartTagRecognizer_Desc(ByVal LocaleID As Long) As String
    ISmartTagRecognizer_Desc = "Hefte erkennen"
End Property

Private Property Get ISmartTagRecognizer_Name(ByVal LocaleID As Long) As String
    ISmartTagRecognizer_Name = "xlRezepte"
End Property

Private Property Get ISmartTagRecognizer_ProgId() As String
    ISmartTagRecognizer_ProgId = "K13_12.SmartTagRecognizerMOD"
End Property

Private Sub ISmartTagRecognizer_Recognize(ByVal Text As String, ByVal DataType As SmartTagLib.IF_TYPE, ByVal LocaleID As Long, ByVal RecognizerSite As SmartTagLib.ISmartTagRecognizerSite)

End Sub

Private Property Get ISmartTagRecognizer_SmartTagCount() As Long
    ISmartTagRecognizer_SmartTagCount = 2
End Property

Private Property Get ISmartTagRecognizer_SmartTagDownloadURL(ByVal SmartTagID As Long) As String

End Property

Private Property Get ISmartTagRecognizer_SmartTagName(ByVal SmartTagID As Long) As String
    Select Case SmartTagID
        Case 1
            ISmartTagRecognizer_SmartTagName = gcstrSmarttagName1
        Case 2
            ISmartTagRecognizer_SmartTagName = gcstrSmarttagName2
    End Select
End Property

Private Sub ISmartTagRecognizer_DisplayPropertyPage(ByVal SmartTagID As Long, ByVal LocaleID As Long)

End Sub

Private Property Get ISmartTagRecognizer_PropertyPage(ByVal SmartTagID As Long, ByVal LocaleID As Long) As Boolean
    'ISmartTagRecognizer_PropertyPage = True
End Property

Private Sub ISmartTagRecognizer_SmartTagInitialize(ByVal ApplicationName As String)
    
End Sub

Private Sub ISmartTagRecognizer2_DisplayPropertyPage(ByVal SmartTagID As Long, ByVal LocaleID As Long)

End Sub

Private Property Get ISmartTagRecognizer2_PropertyPage(ByVal SmartTagID As Long, ByVal LocaleID As Long) As Boolean

End Property

Private Sub ISmartTagRecognizer2_Recognize2(ByVal Text As String, ByVal DataType As SmartTagLib.IF_TYPE, ByVal LocaleID As Long, ByVal RecognizerSite2 As SmartTagLib.ISmartTagRecognizerSite2, ByVal ApplicationName As String, ByVal TokenList As SmartTagLib.ISmartTagTokenList)
    Dim i As Integer
    Dim intIndex As Integer
    Dim intTermLen As Integer
    Dim stPropertyBag1 As ISmartTagProperties
    Dim stPropertyBag2 As ISmartTagProperties
    
    Text = LCase(Text)
    For i = 1 To gintCountKeyWords
        intIndex = InStr(Text, garKeyWords(i))
        intTermLen = Len(garKeyWords(i))
        Do While intIndex > 0
            Set stPropertyBag1 = RecognizerSite2.GetNewPropertyBag
            Set stPropertyBag2 = RecognizerSite2.GetNewPropertyBag
            RecognizerSite2.CommitSmartTag gcstrSmarttagName1, intIndex, intTermLen, stPropertyBag1
            RecognizerSite2.CommitSmartTag gcstrSmarttagName2, intIndex, intTermLen, stPropertyBag2
            intIndex = InStr(intIndex + intTermLen, Text, garKeyWords(i))
        Loop
    Next
End Sub

Private Sub ISmartTagRecognizer2_SmartTagInitialize(ByVal ApplicationName As String)
    gintCountKeyWords = 3
    ReDim garKeyWords(gintCountKeyWords)
    garKeyWords(1) = "notenheft"
    garKeyWords(2) = "mathematikheft"
    garKeyWords(3) = "deutschheft"
End Sub

