﻿<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:FL="urn:schemas-microsoft-com:smarttags:list" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes" />
	<xsl:template match="/">
		<FL:smarttaglist>
			<FL:name>Referenzen</FL:name>
			<FL:description>Der Weg zu Informationen</FL:description>
			<xsl:for-each select="data/Eintrag">
				<FL:smarttag>
					<xsl:attribute name="type">urn:xlCookBook#<xsl:value-of select="TagName" /></xsl:attribute>
					<FL:caption>
						<xsl:value-of select="Beschriftung" />
					</FL:caption>
					<FL:terms>
						<FL:termlist>
							<xsl:value-of select="Terme" />
						</FL:termlist>
					</FL:terms>
					<FL:actions>
						<FL:action>
							<xsl:attribute name="id">A<xsl:value-of select="TagName" /></xsl:attribute>
							<FL:caption>Datei öffnen</FL:caption>
							<FL:url>file://<xsl:value-of select="Pfad" />/<xsl:value-of select="Datei" /></FL:url>
						</FL:action>
						<FL:action>
							<xsl:attribute name="id">B<xsl:value-of select="TagName" /></xsl:attribute>
							<FL:caption>Ordner öffnen</FL:caption>
							<FL:url>file://<xsl:value-of select="Pfad" /></FL:url>
						</FL:action>
					</FL:actions>
				</FL:smarttag>
			</xsl:for-each>
		</FL:smarttaglist>
	</xsl:template>
</xsl:stylesheet>