VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsRTDS"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Implements Excel.IRtdServer

Const strTopic1 = "Stunde"
Const strTopic2 = "Minute"
Const strTopic3 = "Sekunde"

Const lngTopicCount = 3

Dim lngTopicId1 As Long
Dim lngTopicId2 As Long
Dim lngTopicId3 As Long

Private Function IRtdServer_ConnectData(ByVal TopicID As Long, Strings() As Variant, GetNewValues As Boolean) As Variant
    Select Case Strings(0)
        Case strTopic1
            lngTopicId1 = TopicID
            IRtdServer_ConnectData = strTopic1
        Case strTopic2
            lngTopicId2 = TopicID
            IRtdServer_ConnectData = strTopic2
        Case strTopic3
            lngTopicId3 = TopicID
            IRtdServer_ConnectData = strTopic3
    End Select
End Function

Private Sub IRtdServer_DisconnectData(ByVal TopicID As Long)
    
End Sub

Private Function IRtdServer_Heartbeat() As Long
    'gudeCallBack.UpdateNotify 'funktioniert nicht
    IRtdServer_Heartbeat = 1 'wichtig
End Function

Private Function IRtdServer_RefreshData(TopicCount As Long) As Variant()
    Dim arDummy(1, 2) As Variant
    TopicCount = lngTopicCount
    arDummy(0, 0) = lngTopicId1
    arDummy(1, 0) = Format(Now, "hh")
    arDummy(0, 1) = lngTopicId2
    arDummy(1, 1) = Format(Now, "nn")
    arDummy(0, 2) = lngTopicId3
    arDummy(1, 2) = Format(Now, "ss")
    IRtdServer_RefreshData = arDummy
End Function

Private Function IRtdServer_ServerStart(ByVal CallbackObject As Excel.IRTDUpdateEvent) As Long
    Set gudeCallBack = CallbackObject
    glngTimerID = SetTimer(0, 0, 1000, AddressOf SendNotification)
    IRtdServer_ServerStart = 1 'wichtig
End Function

Private Sub IRtdServer_ServerTerminate()
    KillTimer 0, glngTimerID
End Sub


