Option Strict Off
Option Explicit On 
'Imports System.Runtime.InteropServices
Imports Microsoft.Office.Interop.SmartTag

'<ProgId("K14_03.SmartTagAction"), GuidAttribute("8270765F-4720-4254-B910-5B4C7F552714")> _
Public Class SmartTagAction
    Implements ISmartTagAction
    Implements ISmartTagAction2

    Dim gintActions1 As Integer
    Dim gintActions2 As Integer


    Private ReadOnly Property ISmartTagAction_Desc(ByVal LocaleID As Integer) As String Implements ISmartTagAction.Desc
        Get
            Return "Geometrie"
        End Get
    End Property

    Private ReadOnly Property ISmartTagAction_Name(ByVal LocaleID As Integer) As String Implements ISmartTagAction.Name
        Get
            Return "xlRezepte Actions"
        End Get
    End Property

    Private ReadOnly Property ISmartTagAction_ProgId() As String Implements ISmartTagAction.ProgId
        Get
            Return "K14_03.SmartTagAction"
        End Get
    End Property

    Private ReadOnly Property ISmartTagAction_SmartTagCaption(ByVal SmartTagID As Integer, ByVal LocaleID As Integer) As String Implements ISmartTagAction.SmartTagCaption
        Get
            Select Case SmartTagID
                Case 1
                    Return "Volumen"
                Case 2
                    Return "Flchen"
            End Select
        End Get
    End Property

    Private ReadOnly Property ISmartTagAction_SmartTagCount() As Integer Implements ISmartTagAction.SmartTagCount
        Get
            Return 2
        End Get
    End Property

    Private ReadOnly Property ISmartTagAction_SmartTagName(ByVal SmartTagID As Integer) As String Implements ISmartTagAction.SmartTagName
        Get
            Select Case SmartTagID
                Case 1
                    Return gcstrSmarttagName1
                Case 2
                    Return gcstrSmarttagName2

            End Select
        End Get
    End Property

    Private ReadOnly Property ISmartTagAction_VerbCaptionFromID(ByVal VerbID As Integer, ByVal ApplicationName As String, ByVal LocaleID As Integer) As String Implements ISmartTagAction.VerbCaptionFromID
        Get

        End Get
    End Property

    Private ReadOnly Property ISmartTagAction_VerbCount(ByVal SmartTagName As String) As Integer Implements ISmartTagAction.VerbCount
        Get
            Select Case SmartTagName
                Case gcstrSmarttagName1
                    Return gintActions1
                Case gcstrSmarttagName2
                    Return gintActions2

            End Select
        End Get
    End Property

    Private ReadOnly Property ISmartTagAction_VerbID(ByVal SmartTagName As String, ByVal VerbIndex As Integer) As Integer Implements ISmartTagAction.VerbID
        Get
            Select Case SmartTagName
                Case gcstrSmarttagName1
                    Return VerbIndex
                Case gcstrSmarttagName2
                    ISmartTagAction_VerbID = VerbIndex + 100
            End Select
        End Get
    End Property

    Private ReadOnly Property ISmartTagAction_VerbNameFromID(ByVal VerbID As Integer) As String Implements ISmartTagAction.VerbNameFromID
        Get
            Select Case VerbID
                Case 1
                    ISmartTagAction_VerbNameFromID = "VKugel"
                Case 2
                    ISmartTagAction_VerbNameFromID = "VQuader"
                Case 101
                    ISmartTagAction_VerbNameFromID = "FKreis"
                Case 102
                    ISmartTagAction_VerbNameFromID = "FKugel"
                Case 103
                    ISmartTagAction_VerbNameFromID = "FRechteck"
                Case 104
                    ISmartTagAction_VerbNameFromID = "FQuader"
            End Select
        End Get
    End Property


    Private ReadOnly Property ISmartTagAction_IsCaptionDynamic(ByVal VerbID As Integer, ByVal ApplicationName As String, ByVal LocaleID As Integer) As Boolean
        Get

        End Get
    End Property

    Private ReadOnly Property ISmartTagAction_ShowSmartTagIndicator(ByVal VerbID As Integer, ByVal ApplicationName As String, ByVal LocaleID As Integer) As Boolean
        Get

        End Get
    End Property

    Private ReadOnly Property ISmartTagAction2_IsCaptionDynamic(ByVal VerbID As Integer, ByVal ApplicationName As String, ByVal LocaleID As Integer) As Boolean Implements ISmartTagAction2.IsCaptionDynamic
        Get

        End Get
    End Property

    Private ReadOnly Property ISmartTagAction2_ShowSmartTagIndicator(ByVal VerbID As Integer, ByVal ApplicationName As String, ByVal LocaleID As Integer) As Boolean Implements ISmartTagAction2.ShowSmartTagIndicator
        Get

        End Get
    End Property

    Private ReadOnly Property ISmartTagAction2_VerbCaptionFromID2(ByVal VerbID As Integer, ByVal ApplicationName As String, ByVal LocaleID As Integer, ByVal Properties As ISmartTagProperties, ByVal Text As String, ByVal Xml As String, ByVal Target As Object) As String Implements ISmartTagAction2.VerbCaptionFromID2
        Get
            Select Case VerbID
                Case 1
                    Return "Kugel"
                Case 2
                    Return "Quader"
                Case 101
                    Return "Kreis"
                Case 102
                    Return "Kugel"
                Case 103
                    Return "Rechteck"
                Case 104
                    Return "Quader"
            End Select
        End Get
    End Property

    Private Sub ISmartTagAction_InvokeVerb(ByVal VerbID As Integer, ByVal ApplicationName As String, ByVal Target As Object, ByVal Properties As ISmartTagProperties, ByVal Text As String, ByVal Xml As String) Implements ISmartTagAction.InvokeVerb

    End Sub

    Private Sub ISmartTagAction_SmartTagInitialize(ByVal ApplicationName As String)

    End Sub

    Private Sub ISmartTagAction2_InvokeVerb2(ByVal VerbID As Integer, ByVal ApplicationName As String, ByVal Target As Object, ByVal Properties As ISmartTagProperties, ByVal Text As String, ByVal Xml As String, ByVal LocaleID As Integer) Implements ISmartTagAction2.InvokeVerb2
        Dim i As Integer

        For i = 1 To 5
            Target.offset(1, 0).entirerow.insert()
        Next

        Select Case VerbID
            Case 1
                Target.offset(1, 1).value = "Kugel"
                Target.offset(1, 1).font.bold = True
                Target.offset(2, 1).value = "Radius"
                Target.offset(2, 2).interior.color = &HCCFFCC
                Target.offset(3, 1).value = "Volumen"
                Target.offset(3, 2).formula = "=4/3*PI()*Z(-1)S^3"
            Case 2
                Target.offset(1, 1).value = "Quader"
                Target.offset(1, 1).font.bold = True
                Target.offset(2, 1).value = "Lnge"
                Target.offset(3, 1).value = "Breite"
                Target.offset(4, 1).value = "Hhe"
                Target.offset(2, 2).interior.color = &HCCFFCC
                Target.offset(3, 2).interior.color = &HCCFFCC
                Target.offset(4, 2).interior.color = &HCCFFCC
                Target.offset(5, 1).value = "Volumen"
                Target.offset(5, 2).formula = "=Z(-3)S*Z(-2)S*Z(-1)S"
            Case 101
                Target.offset(1, 1).value = "Kreis"
                Target.offset(1, 1).font.bold = True
                Target.offset(2, 1).value = "Radius"
                Target.offset(2, 2).interior.color = &HCCFFCC
                Target.offset(3, 1).value = "Flche"
                Target.offset(3, 2).formula = "=2*PI()*Z(-1)S"
            Case 102
                Target.offset(1, 1).value = "Kugel"
                Target.offset(1, 1).font.bold = True
                Target.offset(2, 1).value = "Radius"
                Target.offset(2, 2).interior.color = &HCCFFCC
                Target.offset(3, 1).value = "Flche"
                Target.offset(3, 2).formula = "=4*PI()*Z(-1)S^2"
            Case 103
                Target.offset(1, 1).value = "Rechteck"
                Target.offset(1, 1).font.bold = True
                Target.offset(2, 1).value = "Lnge"
                Target.offset(3, 1).value = "Breite"
                Target.offset(2, 2).interior.color = &HCCFFCC
                Target.offset(3, 2).interior.color = &HCCFFCC
                Target.offset(4, 1).value = "Flche"
                Target.offset(4, 2).formula = "=Z(-2)S*Z(-1)S"
            Case 104
                Target.offset(1, 1).value = "Quader"
                Target.offset(1, 1).font.bold = True
                Target.offset(2, 1).value = "Lnge"
                Target.offset(3, 1).value = "Breite"
                Target.offset(4, 1).value = "Hhe"
                Target.offset(2, 2).interior.color = &HCCFFCC
                Target.offset(3, 2).interior.color = &HCCFFCC
                Target.offset(4, 2).interior.color = &HCCFFCC
                Target.offset(5, 1).value = "Flche"
                Target.offset(5, 2).formula = "=2*(Z(-3)S*Z(-2)S+Z(-3)S*Z(-1)+Z(-2)S*Z(-1)S)"
        End Select
    End Sub

    Private Sub ISmartTagAction2_SmartTagInitialize(ByVal ApplicationName As String) Implements ISmartTagAction2.SmartTagInitialize
        gintActions1 = 2
        gintActions2 = 4
    End Sub
End Class