Option Strict Off
Option Explicit On 
'Imports System.Runtime.InteropServices
Imports Microsoft.Office.Interop.SmartTag

'<ProgId("K14_03.SmartTagRecognizer"), GuidAttribute("D7F873C9-360F-4438-AB43-3983078209B4")> _
Public Class SmartTagRecognizer
    Implements ISmartTagRecognizer
    Implements ISmartTagRecognizer2

    Dim garKeyWords() As String
    Dim gintCountKeyWords As Integer


    Private ReadOnly Property ISmartTagRecognizer_Desc(ByVal LocaleID As Integer) As String Implements ISmartTagRecognizer.Desc
        Get
            Return "Geometrie"
        End Get
    End Property

    Private ReadOnly Property ISmartTagRecognizer_Name(ByVal LocaleID As Integer) As String Implements ISmartTagRecognizer.Name
        Get
            Return "xlRezepte"
        End Get
    End Property

    Private ReadOnly Property ISmartTagRecognizer_ProgId() As String Implements ISmartTagRecognizer.ProgId
        Get
            Return "K14_03.SmartTagRecognizer"
        End Get
    End Property

    Private ReadOnly Property ISmartTagRecognizer_SmartTagCount() As Integer Implements ISmartTagRecognizer.SmartTagCount
        Get
            Return 2
        End Get
    End Property

    Private ReadOnly Property ISmartTagRecognizer_SmartTagDownloadURL(ByVal SmartTagID As Integer) As String Implements ISmartTagRecognizer.SmartTagDownloadURL
        Get

        End Get
    End Property

    Private ReadOnly Property ISmartTagRecognizer_SmartTagName(ByVal SmartTagID As Integer) As String Implements ISmartTagRecognizer.SmartTagName
        Get
            Select Case SmartTagID
                Case 1
                    Return gcstrSmarttagName1
                Case 2
                    Return gcstrSmarttagName2
            End Select
        End Get
    End Property

    Private ReadOnly Property ISmartTagRecognizer_PropertyPage(ByVal SmartTagID As Integer, ByVal LocaleID As Integer) As Boolean
        Get

        End Get
    End Property

    Private ReadOnly Property ISmartTagRecognizer2_PropertyPage(ByVal SmartTagID As Integer, ByVal LocaleID As Integer) As Boolean Implements ISmartTagRecognizer2.PropertyPage
        Get

        End Get
    End Property

    Private Sub ISmartTagRecognizer_Recognize(ByVal Text As String, ByVal DataType As IF_TYPE, ByVal LocaleID As Integer, ByVal RecognizerSite As ISmartTagRecognizerSite) Implements ISmartTagRecognizer.Recognize

    End Sub

    Private Sub ISmartTagRecognizer_DisplayPropertyPage(ByVal SmartTagID As Integer, ByVal LocaleID As Integer)

    End Sub

    Private Sub ISmartTagRecognizer_SmartTagInitialize(ByVal ApplicationName As String)

    End Sub

    Private Sub ISmartTagRecognizer2_DisplayPropertyPage(ByVal SmartTagID As Integer, ByVal LocaleID As Integer) Implements ISmartTagRecognizer2.DisplayPropertyPage

    End Sub

    Private Sub ISmartTagRecognizer2_Recognize2(ByVal Text As String, ByVal DataType As IF_TYPE, ByVal LocaleID As Integer, ByVal RecognizerSite2 As ISmartTagRecognizerSite2, ByVal ApplicationName As String, ByVal TokenList As ISmartTagTokenList) Implements ISmartTagRecognizer2.Recognize2
        Dim i As Short
        Dim intIndex As Short
        Dim intTermLen As Short
        Dim stPropertyBag1 As ISmartTagProperties
        Dim stPropertyBag2 As ISmartTagProperties

        Text = LCase(Text)
        For i = 1 To gintCountKeyWords
            intIndex = InStr(Text, garKeyWords(i))
            intTermLen = Len(garKeyWords(i))
            Do While intIndex > 0
                stPropertyBag1 = RecognizerSite2.GetNewPropertyBag
                stPropertyBag2 = RecognizerSite2.GetNewPropertyBag
                RecognizerSite2.CommitSmartTag(gcstrSmarttagName1, intIndex, intTermLen, stPropertyBag1)
                RecognizerSite2.CommitSmartTag(gcstrSmarttagName2, intIndex, intTermLen, stPropertyBag2)
                intIndex = InStr(intIndex + intTermLen, Text, garKeyWords(i))
            Loop
        Next
    End Sub

    Private Sub ISmartTagRecognizer2_SmartTagInitialize(ByVal ApplicationName As String) Implements ISmartTagRecognizer2.SmartTagInitialize
        gintCountKeyWords = 2
        ReDim garKeyWords(gintCountKeyWords)
        garKeyWords(1) = "geometrie"
        garKeyWords(2) = "berechnung"
    End Sub
End Class